@charset "UTF-8";
/* CSS Document */

/* ハンバーガーメニューここから */

.header {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 20px;
  background: #fff;
  position: relative;
}



/* ここから下がハンバーガーメニューに関するCSS */
  
/* チェックボックスを非表示にする */
.drawer_hidden {
  display: none;
}

/* ハンバーガーアイコンの設置スペース */
.drawer_open {
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed;
  right: 30px;
	top: 25px;
  z-index: 100;/* 重なり順を一番上にする */
  cursor: pointer;
	height: 30px;
	width: 30px;
}

/* ハンバーガーメニューのアイコン */
.drawer_open span,
.drawer_open span:before,
.drawer_open span:after {
  content: '';
  display: block;
  height: 2.5px;
  width: 30px;
  background: #333;
  transition: 0.5s;
  position: absolute;
}

/* 三本線の一番上の棒の位置調整 */
.drawer_open span:before {
  bottom: 10px;
}

/* 三本線の一番下の棒の位置調整 */
.drawer_open span:after {
  top: 10px;
}

/* アイコンがクリックされたら真ん中の線を透明にする */
#drawer_input:checked ~ .drawer_open span {
  background: rgba(255, 255, 255, 0);
}

/* アイコンがクリックされたらアイコンが×印になように上下の線を回転 */
#drawer_input:checked ~ .drawer_open span::before {
  bottom: 0;
  transform: rotate(45deg);
}

#drawer_input:checked ~ .drawer_open span::after {
  top: 0;
  transform: rotate(-45deg);
}
  
/* メニューのデザイン*/
.nav_content {
  width: 100%;
  height: 100%;
  position: fixed;
  bottom: 100%;
  left: 0%; /* メニューを画面の外に飛ばす */
  z-index: 99;
  background: #001C31;
  transition: .5s;
  text-align: center;
  padding-top: 30px;
	 font-family: "Jost", sans-serif;
  font-weight: 500;
  font-style: normal;
	
}




/* メニュー黒ポチを消す */
.nav_list {
  list-style: none;
}

.nav_item a {
  color: #fff;
  text-decoration: none;
	transition: .2s ease-in-out;
	display: block;
		padding: 20px;
	font-size: calc(20 / 16 * 1rem);
}
.nav_item a:hover {
  text-decoration: none;
	color: #FF9D00;
}

/* アイコンがクリックされたらメニューを表示 */
#drawer_input:checked ~ .nav_content {
  bottom: 0%;/* メニューを画面に入れる */
  
}

.nav_content.active {
	bottom: 100% !important;
}

/* ハンバーガーメニューここまで */
